#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['Click>=7.0', ]

test_requirements = ['pytest>=3', ]

setup(
    author="Nare Abgaryan",
    author_email='nareabgaryan2001@gmail.com',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    long_description_content_type="text/x-rst",
    description="Customer Analytics Package",
    entry_points={
        'console_scripts': [
            'zenq=zenq.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme,
    include_package_data=True,
    keywords='zenq',
    name='zenq',
    packages=find_packages(include=['zenq', 'zenq.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/nareabg/zenq',
    version='0.1.0',
    zip_safe=False,
)
